jQuery(document).ready(function($) {
	"use strict"; 
	var pageNum = parseInt(fnwp_.startPage) + 1;
	var max = parseInt(fnwp_.maxPages);
	var nextLink = fnwp_.nextLink;
	var readmore = fnwp_.readtext;
	var loading = fnwp_.loading;
	var nomoreposts = fnwp_.nomoreposts;
	var cssLink = fnwp_.cssLink;
	
	if(pageNum <= max) {
		$('.mpavc-np-load-more-news-style6 .mpavc-np-vc-element-news-article-container')
			.append('<div class="mpavc-np-load-more-container mpavc-np-placeholder-'+ pageNum +'-style6"></div><div class="mpavc-clear"></div>')
			.append('<div id="mpavc-np-load-news" class="mpavc-np-load-news-style6"><a href="#" '+ cssLink +'>'+ readmore + '</a></div>');
	}
	
	$('.mpavc-np-load-news-style6 a').on( "click", function() {
		if(pageNum <= max) {		
			$(this).text(loading);			
			$('.mpavc-np-placeholder-'+ pageNum +'-style6').load(nextLink + ' .mpavc-np-item-load-more-style6',
				function() {
					pageNum++;
					nextLink = nextLink.replace(/\/page\/[0-9]?/, '/page/'+ pageNum);
					$('.mpavc-np-load-more-news-style6')
						.before('<div class="mpavc-np-load-more-container mpavc-np-placeholder-'+ pageNum +'-style6"></div><div class="mpavc-clear"></div>')
					if(pageNum <= max) {
						$('.mpavc-np-load-news-style6 a').text(readmore);
					} else {
						$('.mpavc-np-load-news-style6 a').text(nomoreposts);
					}
				}
			);
		} else {
			$('.mpavc-np-load-news-style6 a').append('.');
		}	
		
		return false;
	});
	
});