/*
 * MultiPurpose addons for Visual Composer
 */
 
 jQuery(document).ready(function($){
	"use strict"; 
	
	$(".mpavc-custom-js").each(function( index ) {
		var custom_css = $(this).attr("data-mpavc-custom-css");
		$( custom_css ).appendTo( "head" );
	});
	
    $('.mpavc-team-owl-carousel').each( function() {
        var $carousel = $(this);
        $carousel.owlCarousel({
			dots : $carousel.data("mpavc-carousel-owl-pagination"),
			margin : $carousel.data("mpavc-carousel-owl-margin"),
			nav : $carousel.data("mpavc-carousel-owl-navigation"),
			rtl : $carousel.data("mpavc-carousel-owl-rtl"),
			loop: $carousel.data("mpavc-carousel-owl-loop"),
			smartSpeed: $carousel.data("mpavc-carousel-owl-smart-speed"),
			autoplay : true,
			autoplayTimeout : $carousel.data("mpavc-carousel-owl-autoplay"),
			navText : ['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
			responsive:{
				0:{
					items: $carousel.data("mpavc-carousel-owl-items-600")
				},
				600:{
					items: $carousel.data("mpavc-carousel-owl-items-900")
				},
				1000:{
					items: $carousel.data("mpavc-carousel-owl-items")
				}
			}			
        });
    });	

    $('.mpavc-logo-owl-carousel').each( function() {
        var $carousel = $(this);
        $carousel.owlCarousel({
			dots : $carousel.data("mpavc-logo-owl-pagination"),
			margin : $carousel.data("mpavc-logo-owl-margin"),
			nav : $carousel.data("mpavc-logo-owl-navigation"),
			rtl : $carousel.data("mpavc-logo-owl-rtl"),
			loop: $carousel.data("mpavc-logo-owl-loop"),
			smartSpeed: $carousel.data("mpavc-logo-owl-smart-speed"),
			autoplay : true,
			autoplayTimeout : $carousel.data("mpavc-logo-owl-autoplay"),
			navText : ['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
			responsive:{
				0:{
					items: $carousel.data("mpavc-logo-owl-items-600")
				},
				600:{
					items: $carousel.data("mpavc-logo-owl-items-900")
				},
				1000:{
					items: $carousel.data("mpavc-logo-owl-items")
				}
			}			
        });
    });	

    $('.mpavc-bp-vc-element-carousel-blog').each( function() {
        var $carousel = $(this);
        $carousel.owlCarousel({
			dots : $carousel.data("mpavc-blog-carousel-owl-pagination"),
			margin : $carousel.data("mpavc-blog-carousel-owl-margin"),
			nav : $carousel.data("mpavc-blog-carousel-owl-navigation"),
			rtl : $carousel.data("mpavc-blog-carousel-owl-rtl"),
			loop: $carousel.data("mpavc-blog-carousel-owl-loop"),
			smartSpeed: $carousel.data("mpavc-blog-carousel-owl-smart-speed"),
			autoplay : true,
			autoplayTimeout : $carousel.data("mpavc-blog-carousel-owl-autoplay"),
			navText : ['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
			responsive:{
				0:{
					items: $carousel.data("mpavc-blog-carousel-owl-items-600")
				},
				600:{
					items: $carousel.data("mpavc-blog-carousel-owl-items-900")
				},
				1000:{
					items: $carousel.data("mpavc-blog-carousel-owl-items")
				}
			}			
        });
    });

    $('.mpavc-np-vc-element-carousel-news').each( function() {
        var $carousel = $(this);
        $carousel.owlCarousel({
			dots : $carousel.data("mpavc-news-carousel-owl-pagination"),
			margin : $carousel.data("mpavc-news-carousel-owl-margin"),
			nav : $carousel.data("mpavc-news-carousel-owl-navigation"),
			rtl : $carousel.data("mpavc-news-carousel-owl-rtl"),
			loop: $carousel.data("mpavc-news-carousel-owl-loop"),
			smartSpeed: $carousel.data("mpavc-news-carousel-owl-smart-speed"),
			autoplay : true,
			autoplayTimeout : $carousel.data("mpavc-news-carousel-owl-autoplay"),
			navText : ['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
			responsive:{
				0:{
					items: $carousel.data("mpavc-news-carousel-owl-items-600")
				},
				600:{
					items: $carousel.data("mpavc-news-carousel-owl-items-900")
				},
				1000:{
					items: $carousel.data("mpavc-news-carousel-owl-items")
				}
			}			
        });
    });

	// ** Gallery **
	// PrettyPhoto
    $('.mpavc-gallery-pp').each( function() {
        var $gallery_pp = $(this);
		var social = $gallery_pp.data("mpavc-gallery-pp-social");
		if(social == false) { 
			$("a[data-mpavc-rel-pp^=\'prettyPhoto\']", this).prettyPhoto({
				animation_speed : $gallery_pp.data("mpavc-gallery-pp-speed"),
				slideshow : $gallery_pp.data("mpavc-gallery-pp-slideshow"),
				autoplay_slideshow : $gallery_pp.data("mpavc-gallery-pp-autoplay"),
				show_title : $gallery_pp.data("mpavc-gallery-pp-title"),
				social_tools: false				
			});
		} else {	
			$("a[data-mpavc-rel-pp^=\'prettyPhoto\']", this).prettyPhoto({
				animation_speed : $gallery_pp.data("mpavc-gallery-pp-speed"),
				slideshow : $gallery_pp.data("mpavc-gallery-pp-slideshow"),
				autoplay_slideshow : $gallery_pp.data("mpavc-gallery-pp-autoplay"),
				show_title : $gallery_pp.data("mpavc-gallery-pp-title")		
			});	
		}		
    });	
	
	// Magnific PopUp
	$('.mpavc-gallery-magnific-popup').each( function() {
		$('.mpavc-gallery-magnific-popup').magnificPopup({type:'image', gallery:{ enabled:true }});
	});
	
	// Light Gallery
    $('.mpavc-gallery-lg').each( function() {
        var $gallery_lg = $(this);
		$gallery_lg.lightGallery({
			selector: '.mpavc-gallery-lg .mpavc-gallery-lightbox a',
			mode: $gallery_lg.data("mpavc-gallery-lg-mode"),
			speed: $gallery_lg.data("mpavc-gallery-lg-speed"),
			thumbnail: $gallery_lg.data("mpavc-gallery-lg-thumbnail"),
			controls: $gallery_lg.data("mpavc-gallery-lg-controls")
		});
    });
	
	// Gallery Grid with Masonry
    $('.mpavc-gallery.mpavc-gallery-masonry').each( function() {
		  var $container = $(this).masonry({
			columnWidth: 1
		  });
		  $container.imagesLoaded( function() {
			$container.masonry();
		  });		
    });	
	
	// Gallery Caption Height Check
	$('.mpavc-gallery-columns-2 .mpavc-gallery-caption').each( function() {
		var CaptionHeight = $( this ).height();
		if (CaptionHeight > 40 && CaptionHeight < 60){
			$(this).parent().parent().addClass('mpavc-gallery-caption-2-line');
		} else if ( CaptionHeight >= 60) {
			$(this).parent().parent().addClass('mpavc-gallery-caption-3-line');
		}
	});	
	$('.mpavc-gallery-columns-3 .mpavc-gallery-caption').each( function() {
		var CaptionHeight = $( this ).height();
		if (CaptionHeight > 20 && CaptionHeight < 50){
			$(this).parent().parent().addClass('mpavc-gallery-caption-2-line');
		} else if ( CaptionHeight >= 50) {
			$(this).parent().parent().addClass('mpavc-gallery-caption-3-line');
		}
	});
	
	// Social Share
    $('.mpavc-gallery-share-image').on( "click", function() {
        var $share_popup = $(this);
		var img_link = $share_popup.data("mpavc-gallery-share-link");
		var img_caption = $share_popup.data("mpavc-gallery-share-caption");
		var facebook_share = '<a target="_blank" href="http://www.facebook.com/sharer.php?caption=' + img_caption + '&description=' + img_caption + '&u=' + img_link + '&picture=' + img_link + '"><i class="fa fa-facebook"></i></a>';
		var google_plus_share = '<a target="_blank" href="https://plus.google.com/share?url=' + img_link + '" title="' + img_caption + '"><i class="fa fa-google-plus"></i></a>';
		var twitter_share = '<a target="_blank" href="http://twitter.com/home?status=' + img_link + '" title="' + img_caption + '"><i class="fa fa-twitter"></i></a>';
		var linkedin_share = '<a target="_blank" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=' + img_link + '" title="' + img_caption + '"><i class="fa fa-linkedin"></i></a>';
		var pinterest_share = '<a target="_blank" href="http://pinterest.com/pin/create/button/?url=' + img_link + '&description=' + img_caption + '"><i class="fa fa-pinterest"></i></a>';
		var close_share_popup = '<a class="mpavc-gallery-social-share-popup">x</a>';
		$( "body" ).append( '<div class="mpavc-gallery-social-share-container" style="display:none"><div class="mpavc-gallery-social-share-container-content">' + facebook_share + ' ' + google_plus_share + '  ' + twitter_share + '  ' + linkedin_share + '  ' + pinterest_share + ' </div>' + close_share_popup + '</div>' );
		$( ".mpavc-gallery-social-share-container" ).fadeIn(500);
		$('.mpavc-gallery-social-share-popup').on( "click", function() {
			$(this).parent().fadeOut("normal", function() {
					$(this).remove();
			});						
		});	
    });

	// Maps
    $('.mpavc-gmaps').each( function() {
        var $maps = $(this);
		var mp_id = $maps.data("mpavc-map-id");
		var mp_type = $maps.data("mpavc-map-type");
		var mp_latidude = $maps.data("mpavc-map-latidude");
		var mp_longitude = $maps.data("mpavc-map-longitude");
		var mp_zoom = $maps.data("mpavc-map-zoom");
		var mp_messagge = $maps.data("mpavc-map-messagge");
		var mp_marker = $maps.data("mpavc-map-marker");
		var mp_marker_image = $maps.data("mpavc-map-marker-image");
		var mp_zoomcontrol = $maps.data("mpavc-map-zoomcontrol");
		var mp_scalecontrol = $maps.data("mpavc-map-scalecontrol");
		var mp_streetviewcontrol = $maps.data("mpavc-map-streetviewcontrol");
		var mp_rotatecontrol = $maps.data("mpavc-map-rotatecontrol");
		var mp_maptypecontrol = $maps.data("mpavc-map-maptypecontrol");
		var mp_pancontrol = $maps.data("mpavc-map-pancontrol");
		var mp_overviewmapcontrol = $maps.data("mpavc-map-overviewmapcontrol");
        function initializeGoogleMap() {
     
              var myLatlng = new google.maps.LatLng(mp_latidude,mp_longitude);
              var myOptions = {
                center: myLatlng, 
                zoom: mp_zoom,
                mapTypeId: google.maps.MapTypeId.mp_type,
				panControl: mp_pancontrol,
				zoomControl: mp_zoomcontrol,
				mapTypeControl: mp_maptypecontrol,
				scaleControl: mp_scalecontrol,
				streetViewControl: mp_streetviewcontrol,
				overviewMapControl: mp_overviewmapcontrol,
				rotateControl: mp_rotatecontrol		
              };
              var map = new google.maps.Map(document.getElementById(mp_id), myOptions);

              var contentString = mp_messagge;
              var infowindow = new google.maps.InfoWindow({
                  content: contentString
              });
			  
              if(mp_marker == 'on') {
				var marker = new google.maps.Marker({
					position: myLatlng,				  
				}); 
			  } else {
	              var marker = new google.maps.Marker({
                  position: myLatlng,			  
				  icon: mp_marker_image
				});  
			  }
               
              google.maps.event.addListener(marker, "click", function() {
                  infowindow.open(map,marker);
              });
               
              marker.setMap(map);
             
          }
          initializeGoogleMap();
    });	

	
	
	
 });